API referenceIdentity and accessRoles
Create a role
Requires the roles:create permission.
AuthorizationBearer <token>
An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/roles" \ -H "Content-Type: application/json" \ -d '{ "description": "string", "name": "string" }'{ "builtin": true, "created_at": "2019-08-24T14:15:22Z", "description": "string", "name": "string", "permissions": [ "string" ], "tags": { "property1": "string", "property2": "string" }, "updated_at": "2019-08-24T14:15:22Z"}